<?php
##############################
#       material.php         #
#     Übersichtsseite        #
#      created by sweh       #
#  last update: 28.01.2004   #
##############################
?>
<table width=100%> 
	<tr>
		<td class="liniehell">     
		    <b>Material</b>
	    </td>
	</tr>
	<tr>
		<td>
			<table width="100%" cellspacing="2" cellpadding="1" border="0">
				<tr>
					<th>Optionen</th>
					<th>Beschreibung</th>
					<th>Zeit</th>
					<th>Semester</th>
				</tr>
			<?php
				$result_lehre_veranstaltung = mysql_query("SELECT id, art, beschreibung, link, zeit, sem from mi_lehre_material WHERE einheit = '".$_REQUEST["einheit"]."' ORDER by art asc");
				if (mysql_num_rows($result_lehre_veranstaltung))
				{
					while($row_material = mysql_fetch_array($result_lehre_veranstaltung))
					{
			
						if($i==1)
						{
							$bgcolor='white';
							$i=0;
						}
						else
						{
							$bgcolor='grau';
							$i=1;
						}
			
						if ($alt_vart != $row_material["art"])
						{
							echo "<tr><th colspan=\"4\">";
							if ($row_material["art"] == 0)
								echo "Vorlesungsskript";
							elseif ($row_material["art"] == 1)
								echo "Übungsmaterial";
							else
								echo "Zusatzmaterial";
							echo "</th></tr>";
						}
						echo "<tr class='$bgcolor'>";
					
					?>
					<th>
						<a href="../lehre/lehrmaterial/<?php echo $row_material["link"]; ?>" target="_blanc"><img src="img/show.gif" border="0" alt="Script anschaun" title="Script anschaun"></a>&nbsp;&nbsp;<a href="<?php echo $_SERVER["PHP_SELF"]; ?>?weiter=material&id=<?php echo $row_material["id"]; ?>&einheit=<?php echo $_REQUEST["einheit"]; ?>"><img src="img/edit.gif" border="0" alt="Eintrag bearbeiten" title="Eintrag bearbeiten"></a>&nbsp;&nbsp;
						<a href="<?php echo $_SERVER["PHP_SELF"]; ?>?weiter=loeschen&loeschen=material&id=<?php echo $row_material["id"]; ?>&einheit=<?php echo $_REQUEST["einheit"]; ?>"><img src="img/del.gif" border="0" alt="Eintrag löschen" title="Eintrag löschen"></a>
					</th>
					<td><?php echo $row_material["beschreibung"]; ?></td>
					<td><?php echo date("d.m.Y", $row_material["zeit"]); ?></td>
					<td><?php echo $row_material["sem"]; ?></td>
				</tr>
				<?php
					$alt_vart = $row_material["art"];
					}
				}
			?>
			</table>
		</td>
	</tr>
</table>